Bug 1176658 - Review Request: adwaita-qt - Adwaita Qt theme
Summary: Review Request: adwaita-qt - Adwaita Qt theme
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2014-12-22 18:17 UTC by Martin Bříza
Modified: 2015-01-19 13:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 13:09:02 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Bříza 2014-12-22 18:17:53 UTC
Spec URL: http://fpaste.org/162175/41927214/
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/mbriza/qt-gtk/fedora-21-x86_64/adwaita-qt-0-0.4.copr.fc21/adwaita-qt-0-0.4.copr.fc21.src.rpm
Description: Adwaita theme for Qt applications
Fedora Account System Username: mbriza

Comment 1 Niranjan MR 2014-12-23 07:12:04 UTC
This is un-official package review. 

From the spec file contains: "0.4.copr%{?dist}", I believe  this dist tag is okay for copr , but for fedora package you would like to modify the dist tag as per the guidelines specified here:

https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#Version_Tag
https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#The_.25.7B.3Fdist.7D_Tag

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "LGPL (v2.1 or later)", "GPL (v2 or
     later)". Detailed output of licensecheck in /home/orion/review/review-
     adwaita-qt/licensecheck.txt
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/themes/Adwaita/qt4
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/themes/Adwaita/qt4,
     /usr/share/themes/Adwaita
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/orion/review/review-adwaita-qt/srpm-
     unpacked/adwaita-qt4.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: adwaita-qt-0-0.4.copr.fc20.x86_64.rpm
          adwaita-qt-0-0.4.copr.fc20.src.rpm
adwaita-qt.src: E: invalid-spec-name
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
Rpmlint
-------
Checking: adwaita-qt-0-0.4.copr.fc20.x86_64.rpm
          adwaita-qt-0-0.4.copr.fc20.src.rpm
adwaita-qt.src: E: invalid-spec-name
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
^[]0;<mock-chroot>^G<mock-chroot>[root@pkiserver1 /]# rpmlint adwaita-qt
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
^[]0;<mock-chroot>^G<mock-chroot>[root@pkiserver1 /]# echo 'rpmlint-done:'



Requires
--------
adwaita-qt (rpmlib, GLIBC filtered):
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    oxygen-icon-theme
    rtld(GNU_HASH)



Provides
--------
adwaita-qt:
    adwaita-qt
    adwaita-qt(x86-64)



Unversioned so-files
--------------------
adwaita-qt: /usr/lib64/qt4/plugins/styles/adwaita.so

Source checksums
----------------
https://github.com/MartinBriza/adwaita-qt/archive/024b00bfd7c8cb27d09188ddc239391c2c05bac4.tar.gz :
  CHECKSUM(SHA256) this package     : f166f5279af047a38647c98faba7f54e4de460674e86268a579037aaab2fe97d
  CHECKSUM(SHA256) upstream package : f166f5279af047a38647c98faba7f54e4de460674e86268a579037aaab2fe97d

Comment 2 Martin Bříza 2015-01-06 13:39:43 UTC
Hi,
thank you for the review! I was definitely aware of the naming guidelines, just wanted to open the review and fix it later with more possibly found issues.
I addressed everything from your review in these two files:

SPEC URL: http://mbriza.fedorapeople.org/adwaita-qt.spec
SRPM URL: http://mbriza.fedorapeople.org/adwaita-qt-0-0.5.20141216git024b00bf.fc21.src.rpm

I also added a draft of how the package will be split in the future, when the sofile is named correctly and Qt5 support is implemented.

Comment 3 Rex Dieter 2015-01-09 15:45:09 UTC
naming: ok

license: ok

sources: ok
69e3c8927d88fe0a5f1846ce983c2f9d  024b00bfd7c8cb27d09188ddc239391c2c05bac4.tar.gz

macros: ok

scriptlets: ok (n/a)


some non-blockery stuff:

* SHOULD consider making -common subpkg noarch

* SHOULD consider moving
Requires: oxygen-icon-theme
to -common, or remove it... having it in the main meta-pkg makes less sense


otherwise, relatively simple and clean:  APPROVED

Comment 4 Martin Bříza 2015-01-15 17:27:26 UTC
New Package SCM Request
=======================
Package Name: adwaita-qt
Short Description: Adwaita Qt theme
Owners: mbriza
Branches: f20 f21
InitialCC: mclasen

Comment 5 Martin Bříza 2015-01-15 17:28:27 UTC
Thank you Rex! I'll fix the SHOULD's with the first import.

Comment 6 Gwyn Ciesla 2015-01-15 19:30:15 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.